This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 216104 - Review Request: python-twisted-runner - process management library and inetd replacement
Review Request: python-twisted-runner - process management library and inetd ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 171543 221310
  Show dependency treegraph
 
Reported: 2006-11-17 05:15 EST by Thomas Vander Stichele
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-04 04:50:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thomas Vander Stichele 2006-11-17 05:15:14 EST
Spec URL: http://thomas.apestaart.org/download/pkg/fedora-5-x86_64-extras/python-twisted-runner-0.2.0-3.fc5/python-twisted-runner.spec
SRPM URL: http://thomas.apestaart.org/download/pkg/fedora-5-x86_64-extras/python-twisted-runner-0.2.0-3.fc5/python-twisted-runner-0.2.0-3.fc5.src.rpm
Description: 
Twisted is an event-based framework for internet applications.

Twisted Runner contains code useful for persistent process management
with Python and Twisted, and has an almost full replacement for inetd.
Comment 1 Kevin Fenzi 2006-12-16 14:09:17 EST
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (MIT)
OK - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
ec4677a59dd2643d50da0914b3a1df88  TwistedRunner-0.2.0.tar.bz2
ec4677a59dd2643d50da0914b3a1df88  TwistedRunner-0.2.0.tar.bz2.1
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
See below - final provides and requires are sane:

SHOULD Items:

OK - Should build in mock.
x386/x86_64 - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version

Issues:

1. Ditto the %{python} macro comment from the other python-twisted reviews. ;)

2. Should include LICENSE and NEWS as %doc files.

3. I see that this package is providing:
portmap.so  (on i386)
and
portmap.so()(64bit) (on x86_64)
Should that be the case? Or should that be filtered out?
Thats a pretty generic .so name and it's not in a standard dir
where something could link to it.
Comment 2 Thomas Vander Stichele 2006-12-27 09:23:08 EST
portmap.so is a python module, afaict everything works correctly.  It's not
meant to be linked against.
Comment 4 Kevin Fenzi 2006-12-27 12:16:42 EST
In reply to comment #2: 

Yeah, I know it's not meant to be linked against, but the rpm shows it as a
provides. So, if some package somewhere requires 'portmap.so' it will get this
package installed. Nothing currently does that I can see, but it just looks
messy to provide something that isn't really usable by other packages. There's
nothing in the guidelines blocking this, I just thought I would bring it to your
attention. 

The package in comment #3 looks good. I don't see any further blockers, so 
this package is APPROVED. 

Don't forget to close this review request with NEXTRELEASE once it's been
imported and built. 
Comment 5 Thomas Vander Stichele 2006-12-28 06:45:57 EST
Ah, I see what you mean.

Well, it's probably not a problem, given that e.g.

[root@otto ~]# rpm -q --provides pygtk2
_gtk.so
atk.so
gobject.so
pango.so
pangocairo.so
pygtk2 = 2.8.6-0.fc5.1

this looks like something that is already happening.

Note You need to log in before you can comment on or make changes to this bug.